MPI_Type_set_attr(3)

NAME
MPI_Type_set_attr - Stores attribute value associated with a key

SYNOPSIS
int MPI_Type_set_attr(MPI_Datatype datatype, int type_keyval, void *attribute_val)

INPUT PARAMETERS
datatype
    - MPI Datatype to which attribute will be attached (handle)
type_keyval
    - key value, as returned by MPI_Type_create_keyval (integer)
attribute_val
    - attribute value

NOTES
The type of the attribute value depends on whether C or Fortran is being used. In C, an attribute value is a pointer ( void * ); in Fortran, it is an address-sized integer. If an attribute is already present, the delete function (specified when the corresponding keyval was created) will be called.

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_TYPE
    - Invalid datatype argument. Additionally, this error can occur if an uncommitted MPI_Datatype (see MPI_Type_commit ) is used in a communication call.
MPI_ERR_KEYVAL
    - Invalid keyval